## org.exist.atom.http
Class AtomServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.exist.atom.http.AtomServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class AtomServlet
extends javax.servlet.http.HttpServlet

Implements a rest interface for exist collections as atom feeds

Author:
  Alex Milowski
See Also:
  Serialized Form

Field Summary
`static java.lang.String` `CONF_NS`
`static java.lang.String` `DEFAULT_ENCODING`

Constructor Summary
`AtomServlet()`

Method Summary
`void` `destroy()`
`void` `init(javax.servlet.ServletConfig config)`

Methods inherited from class javax.servlet.http.HttpServlet
`service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_ENCODING

    public static final java.lang.String DEFAULT_ENCODING

See Also:
  Constant Field Values

### CONF_NS

    public static final java.lang.String CONF_NS

See Also:
  Constant Field Values

Constructor Detail

### AtomServlet

    public AtomServlet()

Method Detail

### init

    public void init(javax.servlet.ServletConfig config)
              throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

### destroy

    public void destroy()

Copyright (C) Wolfgang Meier. All rights reserved.